Bug 82030 - FILEOPEN: DOCX Strict - Missing rectangles
Summary: FILEOPEN: DOCX Strict - Missing rectangles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: OOXML-Import-Strict OOXML-Shapes
  Show dependency treegraph
 
Reported: 2014-08-01 23:19 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-10-16 03:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
DOCX Strict file (1.07 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-08-01 23:19 UTC, Yousuf Philips (jay) (retired)
Details
Word 2013 VS LibO 4.3.1 (290.34 KB, image/png)
2014-08-01 23:32 UTC, Yousuf Philips (jay) (retired)
Details
trimmed sample (227.10 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-10-23 05:49 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-01 23:19:05 UTC
Created attachment 103836 [details]
DOCX Strict file

Steps:
1) Open attached DOCX
2) Notice that there isnt a blue rectangle under the image
3) Select the image and delete it
4) Notice that there isnt an orange rectangle
5) Compare this with doing the same in microsoft office

Tested in 4.2.5 and 4.3.1 on Linux Mint
Comment 1 Yousuf Philips (jay) (retired) 2014-08-01 23:32:48 UTC
Created attachment 103837 [details]
Word 2013 VS LibO 4.3.1
Comment 2 Kevin Suo 2014-08-02 06:32:12 UTC
Confirmed with 4.3.0.4, ubuntu 14.04 x64.
Set to NEW.
Comment 3 QA Administrators 2015-10-14 19:58:01 UTC Comment hidden (obsolete)
Comment 4 Robinson Tryon (qubit) 2015-12-09 18:44:59 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:42:54 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2017-10-23 05:49:26 UTC
Created attachment 137223 [details]
trimmed sample
Comment 7 Yousuf Philips (jay) (retired) 2017-10-23 07:02:03 UTC
This seems similar to bug 82064 when looking at strict xml vs the transitional xml. Some of the differences between strict and transitional include

1. transitional wraps <w:drawing> inside <mc:AlternateContent><mc:Choice Requires="wps">, while strict doesn't

2. transitional uses tags under <a:graphicData> that begin with '<wps:', while strict uses '<wp:'

3. transitional uses values like this <a:lumMod val="100000" />, while strict uses <a:lumMod val="100%" />
Comment 8 Yousuf Philips (jay) (retired) 2017-10-23 07:03:52 UTC
Still repo.

Version: 6.0.0.0.alpha1+
Build ID: 118a0a3734a3f794c67a9d7d4376d8ed78a96fee
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Justin, Mike: Any thoughts?
Comment 9 QA Administrators 2018-10-24 02:55:57 UTC Comment hidden (obsolete, spam)
Comment 10 Buovjaga 2020-09-30 18:04:09 UTC
Still confirmed

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 09c24681a3414092fde50ec0f617c9f7c79e8a61
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 September 2020
Comment 11 QA Administrators 2022-10-16 03:47:05 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug